export declare abstract class IFormField {
    required: boolean;
    disabled: boolean;
    error: string;
    internalName: string;
    searchable: boolean;
    abstract value: any;
    constructor(internalName?: string, searchable?: boolean);
    haveError(): boolean;
    changeDisabledValueByConfig(fields: Array<string>): void;
    setValueField(newValue: any, errorMessage?: string): IFormField;
    abstract isValid(): boolean;
}
